# DataExchange
TKXSBase
StepData

# StepData_UndefinedEntity Class Reference

Undefined entity specific to Step Interface, in which StepType
is defined at each instance, or is a SubList of another one
Uses an UndefinedContent, that from Interface is suitable.
Also an Entity defined by STEP can be "Complex Type" (see
ANDOR clause in Express).
.

`#include <StepData_UndefinedEntity.hxx>`

## Public Member Functions

Standard_EXPORT | StepData_UndefinedEntity ()
| creates an Unknown entity
Standard_EXPORT | StepData_UndefinedEntity (const Standard_Boolean issub)
| Creates a SubList of an Unknown entity : it is an Unknown Entity with no Type, but flagged as "SUB" if issub is True .
Standard_EXPORT Handle_Interface_UndefinedContent | UndefinedContent () const
| Returns the UndefinedContent which brings the Parameters .
Standard_EXPORT Standard_Boolean | IsSub () const
| Returns True if an Unndefined Entity is SubPart of another one .
Standard_EXPORT Handle_StepData_UndefinedEntity | Super () const
| Returns the "super-entity" of a sub-part .
Standard_EXPORT Standard_Boolean | IsComplex () const
| Returns True if <me> defines a Multiple Type Entity (see ANDOR) .
Standard_EXPORT Handle_StepData_UndefinedEntity | Next () const
| For a Multiple Type Entity, returns the Next "Componant" For more than two Types, iterative definition (Next->Next...) Returns a Null Handle for the end of the List .
Standard_EXPORT Standard_CString | StepType () const
| gives entity type, read from file For a Complex Type Entity, gives the first Type read, each "Next" gives its "partial" type was C++ : return const
Standard_EXPORT void | ReadRecord (const Handle(StepData_StepReaderData)&SR, const Standard_Integer num, Handle(Interface_Check)&ach)
| reads data from StepReaderData (i.e. from file), by filling StepType and parameters stored in the UndefinedContent
Standard_EXPORT void | WriteParams (StepData_StepWriter &SW) const
| write data to StepWriter, taken from UndefinedContent
Standard_EXPORT void | GetFromAnother (const Handle(StepData_UndefinedEntity)&other, Interface_CopyTool &TC)
| reads another UndefinedEntity from StepData
Standard_EXPORT void | FillShared (Interface_EntityIterator &list) const
| Fills the list of shared entities .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thetype
Handle_Interface_UndefinedContent | thecont
Standard_Boolean | thesub
Handle_StepData_UndefinedEntity | thenext

## Constructor & Destructor Documentation

Standard_EXPORT StepData_UndefinedEntity::StepData_UndefinedEntity | ( |  | ) |

Standard_EXPORT StepData_UndefinedEntity::StepData_UndefinedEntity | ( | const Standard_Boolean | issub | ) |

## Member Function Documentation

Standard_EXPORT void StepData_UndefinedEntity::FillShared | ( | Interface_EntityIterator & | list | ) | const

Standard_EXPORT void StepData_UndefinedEntity::GetFromAnother | ( | const Handle(StepData_UndefinedEntity)& | other,
|  | Interface_CopyTool & | TC
| ) |

Standard_EXPORT const StepData_UndefinedEntity::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepData_UndefinedEntity::IsComplex | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepData_UndefinedEntity::IsSub | ( |  | ) | const

Standard_EXPORT Handle_StepData_UndefinedEntity StepData_UndefinedEntity::Next | ( |  | ) | const

Standard_EXPORT void StepData_UndefinedEntity::ReadRecord | ( | const Handle(StepData_StepReaderData)& | SR,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach
| ) |

Standard_EXPORT Standard_CString StepData_UndefinedEntity::StepType | ( |  | ) | const

Standard_EXPORT Handle_StepData_UndefinedEntity StepData_UndefinedEntity::Super | ( |  | ) | const

Standard_EXPORT Handle_Interface_UndefinedContent StepData_UndefinedEntity::UndefinedContent | ( |  | ) | const

Standard_EXPORT void StepData_UndefinedEntity::WriteParams | ( | StepData_StepWriter & | SW | ) | const

## Field Documentation

Handle_Interface_UndefinedContent StepData_UndefinedEntity::thecont `[private]`

Handle_StepData_UndefinedEntity StepData_UndefinedEntity::thenext `[private]`

Standard_Boolean StepData_UndefinedEntity::thesub `[private]`

Handle_TCollection_HAsciiString StepData_UndefinedEntity::thetype `[private]`

The documentation for this class was generated from the following file:

- StepData_UndefinedEntity.hxx